| Home | Libraries | People | FAQ | More

##### http::serializer::consume

Consume buffer octets in the serialization.

###### Synopsis

    void
    consume(
        std::size_t n);

###### Description

This function should be called after one or more octets contained in the buffers provided in the prior call to `http::serializer::next` have been used. After a call to `http::serializer::consume`, callers should check the return value of `http::serializer::is_done` to determine if the entire message has been serialized.

###### Parameters

Name | Description
--- | ---
`n` | The number of octets to consume. This number must be greater than zero and no greater than the number of octets in the buffers provided in the prior call to `http::serializer::next`.